%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Capture-Tiny
Version:       0.46
Release:       1mamba
Summary:       Capture::Tiny - Capture STDOUT and STDERR from Perl, XS or external programs  
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/Capture-Tiny-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Capture::Tiny - Capture STDOUT and STDERR from Perl, XS or external programs. 

%prep
%setup -q -n Capture-Tiny-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README README.PATCHING

%changelog
* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 0.46-1mamba
- automatic update by autodist

* Wed Aug 31 2016 Automatic Build System <autodist@mambasoft.it> 0.44-1mamba
- automatic update by autodist

* Sat May 23 2015 Automatic Build System <autodist@mambasoft.it> 0.30-1mamba
- automatic update by autodist

* Thu Feb 12 2015 Automatic Build System <autodist@mambasoft.it> 0.28-1mamba
- automatic update by autodist

* Sat Nov 08 2014 Automatic Build System <autodist@mambasoft.it> 0.27-1mamba
- automatic update by autodist

* Tue Nov 04 2014 Automatic Build System <autodist@mambasoft.it> 0.26-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 0.24-1mamba
- automatic update by autodist

* Mon Oct 21 2013 Automatic Build System <autodist@mambasoft.it> 0.23-1mamba
- automatic update by autodist

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 0.22-1mamba
- automatic version update by autodist

* Mon Feb 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.21-1mamba
- package created by silvan using the webbuild interface
